# $Revision: 1.23 $, $Date: 2009/06/09 09:26:11 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Generic Apache Request Library
Summary(pl.UTF-8):	Standardowa biblioteka zapytań Apache
Summary(pt_BR.UTF-8):	Biblioteca de requisiçoes do Apache
Name:		libapreq
Version:	1.34
Release:	1
License:	Apache Group
Group:		Libraries
Source0:	http://www.apache.org/dist/httpd/libapreq/%{name}-%{version}.tar.gz
# Source0-md5:	2bee94cf9f36fb156b794bd469fcc550
URL:		http://httpd.apache.org/apreq/
BuildRequires:	apache1-devel >= 1.3
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	perl-tools-pod
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# remember about perl-libapreq.spec when incrementing version

%description
This package contains modules for manipulating client request data via
the Apache API with C.

%description -l pl.UTF-8
Ten pakiet zawiera moduły, służące do manipulowania danymi z zapytań
klientów HTTP danymi poprzez API Apache przy użyciu C.

%description -l pt_BR.UTF-8
Este pacote contém módulos para a manipulação de requisições de
cliente através da API do Apache em C.

%package devel
Summary:	libapreq header files
Summary(pl.UTF-8):	Pliki nagłówkowe libapreq
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	apache1-devel >= 1.3

%description devel
libapreq header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libapreq.

%package static
Summary:	libapreq static library
Summary(pl.UTF-8):	Statyczna biblioteka libapreq
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libapreq library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libapreq.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-apache-includes=%{_includedir}/apache1 \
	%{!?with_static_libs:--disable-static}

%{__make}

/usr/bin/pod2man --section=3 libapreq.pod > libapreq.3

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D libapreq.3 $RPM_BUILD_ROOT%{_mandir}/man3/libapreq.3

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/c/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changes CREDITS README ToDo
%attr(755,root,root) %{_libdir}/libapreq.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapreq.so
%{_libdir}/libapreq.la
%{_includedir}/libapreq
%{_mandir}/man3/libapreq.3*
%{_examplesdir}/%{name}-%{version}

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libapreq.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libapreq.spec,v $
Revision 1.23  2009/06/09 09:26:11  amateja
- updated to 1.34

Revision 1.22  2007/08/20 13:34:36  witekfl
- added bcond_without static_libs

Revision 1.21  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.19  2006/02/19 11:21:36  qboosh
- apache1 headers are enough to build C library (mod_perl is not needed)
- -devel R: apache1-devel (for headers)

Revision 1.18  2006/02/19 10:34:39  qboosh
- strict internal deps

Revision 1.17  2006/02/16 12:52:24  glen
- 1.33

Revision 1.16  2004/12/22 19:40:22  darekr
- BR: /usr/bin/pod2man -> perl-tools-pod

Revision 1.15  2004/08/25 09:22:56  radek
- fixed build

Revision 1.14  2004/08/25 09:17:15  radek
- release 2: s/apache/apache1/ in Requires

Revision 1.13  2003/10/23 23:44:29  qboosh
- up to 1.3, updated mod_perl dependency (now called apache1-mod_perl)

Revision 1.12  2003/07/03 22:27:57  migo
- up to 1.2

Revision 1.11  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 05:49:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/15 23:35:17  qboosh
- 1.1, like in perl-libapreq.spec

Revision 1.8  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.7  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.6  2002/07/21 17:32:24  kloczek
- release 3.

Revision 1.5  2002/07/21 14:39:34  radek
- minor bugfixes

Revision 1.4  2002/07/21 01:15:33  qboosh
- use standard library scheme (separated -devel and -static)
- use %configure macro (pass proper environment macros)
- fixed libapreq(3) man section
- release 2

Revision 1.3  2002/07/20 13:54:48  radek
- fixed stupid bug: manpage compressed twice

Revision 1.2  2002/07/19 22:12:45  radek
- removed perl stuff and fixed
- final version (excluding cosmetics ;-) for now, release 1, STBR

Revision 1.1  2002/07/19 09:45:41  radek
- renamed from perl-libapreq.spec
- added C libraries

Revision 1.5  2002/07/12 22:16:52  ankry
- name changed to: perl-libapreq ("this is not perl-libwww package")
- added files (except dos) to %files
- release 1 again

Revision 1.4  2002/07/12 12:47:15  ankry
- BR: apache-mod_perl
- release 2

Revision 1.3  2002/05/14 14:35:25  qboosh
- proper URLs, partial cleanup (now it isn't spec for perl-libwww); doesn't build though

Revision 1.2  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.1  2002/04/20 14:46:26  marcus
- initial (buggy) spec, it needs many work...
